export function PermissionsSelectOption({ label, icon, iconColor, className, hint, }: {
    label: any;
    icon: any;
    iconColor: any;
    className: any;
    hint: any;
}): import("react/jsx-runtime").JSX.Element;
export namespace PermissionsSelectOption {
    export { propTypes };
}
export namespace optionShape {
    let label: PropTypes.Validator<NonNullable<NonNullable<string | PropTypes.ReactElementLike | null | undefined>>>;
    let icon: PropTypes.Validator<string>;
    let iconColor: PropTypes.Validator<string>;
}
declare namespace propTypes {
    let className: PropTypes.Requireable<string>;
    let hint: PropTypes.Requireable<string>;
}
import PropTypes from "prop-types";
export {};
